{% load static %}
<!doctype html>
<html lang="en">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css">
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
<head>
    <meta charset="UTF-8"/>
    <title>
        {% block title %}
        {% endblock %}
    </title>

</head>
<body>
    <div class="container">
      <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
        <a href="/" class="d-flex align-items-center mb-2 mb-lg-0 text-red text-decoration-none">
            <img src="{% static 'mainapp/retrest.jpg' %}" alt="logo" width="75" height="75">
        </a>

        <ul class="nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
          <li><a href="{% url 'index' %}" class="nav-link px-3 text-dark">Home</a></li>
          <li><a href="{% url 'top' %}" class="nav-link px-3 text-dark">Top</a></li>
          <li><a href="{% url 'about' %}" class="nav-link px-3 text-dark">Blog</a></li>
          <li><a href="{% url 'about' %}" class="nav-link px-3 text-dark">About</a></li>
        </ul>

        <form action="{% url 'search' %}" class="col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3">
          <input type="search" class="form-control form-control-dark" placeholder="Search place..." aria-label="Search" name = "q">
        </form>
        <div class="btn-group">
            <a href="{% url 'login' %}" class="btn btn-primary">Login</a>
            <a href="{% url 'register' %}" class="btn btn-primary">Sign Up</a>
        </div>
      </div>
    </div>
    {% block content %}
    {% endblock %}
</body>
</html>